import { JSONValue, JSExpression } from '../types';
export interface PropOptions {
    name: string;
    value: JSONValue | JSExpression;
    defaultValue: JSONValue;
}
export declare class Prop {
    isUnset: boolean;
    name: string;
    value: JSONValue | JSExpression;
    defaultValue: JSONValue;
    constructor(options: PropOptions);
    getValue(): JSONValue | JSExpression;
    setValue(value: any): void;
}
